@import 'src/style/includes/sass_vars_and_mixins.module.scss';


@keyframes fade-in {
  0% {
    opacity: 0;
  }

  90% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.swoopy {
  pointer-events: none;
  animation: fade-in 0.75s;
}

.swoopyPath {
  fill: none;
  stroke: rgba(black, 0.4);
  stroke-width: 1px;
  stroke-linecap: round;
  stroke-linejoin: round;
}
.swoopyPath.swoopyOutline {
  stroke: rgba(white, 0.85);
  stroke-width: 5px;
  stroke-linecap: round;
  stroke-linejoin: round;
}
.swoopyTextWrapper {
  position: absolute;
  top: 0;
  left: 0;
}

.swoopyText {
  font-size: var(--font-size-s);
  color: var(--color-text-base);
  font-weight: 600;
  line-height: 1.15em;
  animation: fade-in 0.75s;

  @include text-border;

  &.secondary {
    font-size: var(--font-size-s);
    font-weight: 400;
  }

  @include smaller-than-s {
    font-size: var(--font-size-s);

    &.secondary {
      font-size: var(--font-size-xs);
    }
  }
}
